class 'RavenAirMg' (RavenMg)

function RavenAirMg:__init(name)
    RavenMg.__init(self, name)  
    AddUniqueGameState('RavenElementFound', 'AIR')
    AddGameState('RavenMgActive', 'Air')
    
    self:getEntityNamed( 'sol_anim'):play()
    self:getEntityNamed( 'sparkle'):setVisible(false)
    self:getEntityNamed( 'sparkle' ):setRespondable(false)
    
    self:playSound('open_mg')
    
    	self.win = {}
	for i = 1,16 do
	    self:getEntityNamed("light_triangle_"..i):setXY(self:getEntityNamed("triangle_"..i):getX(),self:getEntityNamed("triangle_"..i):getY())
	    self:getEntityNamed("light_triangle_"..i):setOpacity(0)
	    self:getEntityNamed("light_triangle_"..i):setScale(1.1)
	    self:getEntityNamed('light_triangle_'..i):setRespondable(false);
	    self:getEntityNamed( 'triangle_'..i ).onFocusIn:add(bind( self.onObjectMouseEnter, self ) )
	    self:getEntityNamed( 'triangle_'..i ).onFocusOut:add(bind( self.onObjectMouseLeave, self ) )
	    self:getEntityNamed( 'triangle_'..i ).onClickBegin:add(bind( self.onObjectMouseDown, self ) )
	    self:getEntityNamed( 'lenta_'..i ):setVisible(false)
	    self:getEntityNamed( 'lenta_'..i ):setRespondable(false)
	    self.win[i] = 0
	    
	    self:getEntityNamed("light_red_"..i):setOpacity(0)
	    self:getEntityNamed("light_red_"..i):setXY(self:getEntityNamed( 'triangle_'..i ):getX(),self:getEntityNamed( 'triangle_'..i ):getY())
	    self:getEntityNamed('light_red_'..i):setRespondable(false);
	end
	for i = 1,12 do
	    self:getEntityNamed('sol_sign_'..i):setXY(892,100)
	    self:getEntityNamed('sol_sign_'..i):setOpacity(0)
	end
	self.Effector_rotate = {}
	self.Effector_rotate_anticlockwise = {}
	self.Effector_rotate_clockwise = {}
	for i = 1,12 do
	    self:getEntityNamed('light_'..i):setXY(self:getEntityNamed('sign_'..i):getX(),self:getEntityNamed('sign_'..i):getY())
	    Helpers.attachInPlace(self:getEntityNamed('light_'..i),self:getEntityNamed('sign_'..i))
	    self:getEntityNamed('light_'..i):setOpacity(0)
	end
	
    for i = 1,12 do
        self.Effector_rotate['sign_'..i] = CreateAnimationEffector();
        self.Effector_rotate['sign_'..i]:attachTo(self:getEntityNamed('sign_'..i));
        self.Effector_rotate['sign_'..i]:setMode(_ANIM_FWD + _ANIM_LOOP);
        self.Effector_rotate['sign_'..i]:setKey(_TRACK_A, 0, 0);
        self.Effector_rotate['sign_'..i]:setKey(_TRACK_A, 5, -math.rad(360));
        self:getEntityNamed('sign_'..i):setActive(false)
        --rotate_anticlockwise
        self.Effector_rotate_anticlockwise['sol_sign_'..i] = CreateAnimationEffector();
        self.Effector_rotate_anticlockwise['sol_sign_'..i]:attachTo(self:getEntityNamed('sol_sign_'..i));
        self.Effector_rotate_anticlockwise['sol_sign_'..i]:setMode(_ANIM_FWD + _ANIM_LOOP);
        self.Effector_rotate_anticlockwise['sol_sign_'..i]:setKey(_TRACK_A, 0, 0);
        self.Effector_rotate_anticlockwise['sol_sign_'..i]:setKey(_TRACK_A, 7, -math.rad(360));
        self.Effector_rotate_anticlockwise['sol_sign_'..i]:pause()
        --rotate_clockwise
        self.Effector_rotate_clockwise['sol_sign_'..i] = CreateAnimationEffector();
        self.Effector_rotate_clockwise['sol_sign_'..i]:attachTo(self:getEntityNamed('sol_sign_'..i));
        self.Effector_rotate_clockwise['sol_sign_'..i]:setMode(_ANIM_FWD + _ANIM_LOOP);
        self.Effector_rotate_clockwise['sol_sign_'..i]:setKey(_TRACK_A, 0, 0);
        self.Effector_rotate_clockwise['sol_sign_'..i]:setKey(_TRACK_A, 7, math.rad(360));
        self.Effector_rotate_clockwise['sol_sign_'..i]:pause()
        
        
    end
	
	self.Conbination = {{12,1,5},{11,1,6},{1,11,5},{2,11,5},{1,10,7},{1,10,6},{2,10,6},{2,10,5},{3,10,5},{1,9,8},{1,9,7},{2,7,9},{2,6,9},{3,6,9},{3,5,9},{4,5,9}}
    self:SaveLoad() 
    --self:random_sol()
    if not HasGameState('91_fisha_air_no_First','true') then
        self.cur_sol = 7
        --self:getEntityNamed("light_triangle_7"):setOpacity(1)
        for i = 1,3 do
            self:getEntityNamed('sol_sign_'..self.Conbination[self.cur_sol][i]):setOpacity(1)
        end
        self.Effector_rotate_anticlockwise['sol_sign_'..self.Conbination[self.cur_sol][1]]:play()
        self.Effector_rotate_clockwise['sol_sign_'..self.Conbination[self.cur_sol][3]]:play()
        self.Effector_rotate_anticlockwise['sol_sign_'..self.Conbination[self.cur_sol][2]]:play()
    else
        self:random_sol()
    end
    
    if not InteractiveHelp.isHelpCompleted('MG_HELP_STEP_1') and HasGameState(InteractiveHelp.States.SHOWING_HELP, 'true') then
        self.mouseBlocker:push()
        self.timer:add( function()
            self:getMainEntity():setRespondable(true)
            InteractiveHelp.registeredTips['MG_HELP_STEP_1'].Constructor('MG_HELP_STEP_1')
            --current_scene:stop()
            self.mouseBlocker:pop()
        end, 1.55)    
    end
    
    self.timer:add(function()
        self:getEntityNamed('area_return'):setCursorOverName('CursorDown')
        self:getEntityNamed('area_return').onClickBegin:add(function()
                                                                self:entityHide('area_return')
                                                                self:onScreenDestroy()
                                                            end)
    end, 1)
end

function RavenAirMg:SaveLoad()
    if HasGameState('RAVEN_AIR_COMPLETED') then
        RemoveGameState('RAVEN_AIR_COMPLETED','RAVEN_AIR_COMPLETED')
        if HasGameState('RavenAirMg_array_win') then
            for i = 1,16 do
                self.win[i] = 0
            end
        end
        Helpers.SaveObjectToGameState('RavenAirMg_array_win', self.win)
        --return
    end
    if HasGameState('RavenAirMg_array_win') then
        self.win = Helpers.RestoreObjectFromGameState('RavenAirMg_array_win')
        for i = 1,16 do
            if self.win[i] == 1 then
                self:getEntityNamed("light_triangle_"..i):hide()
                self:getEntityNamed("triangle_"..i):hide()
            end
        end
    end
end

function RavenAirMg:onUpdate(dt)
end

function RavenAirMg:onReturnClick()
    self:onScreenDestroy()
end

function RavenAirMg:createSound(sound_name)
    local sound_creators =
    {
        [sound_types.sound_track] =
        function()
            local sound_entity = CreateSoundTrack(self.sounds[sound_name].path)
            sound_entity:setRepeated(self.sounds[sound_name].repeated)
            sound_entity:setName(sound_name)
            sound_entity:attachTo(self:getMainEntity())
            return sound_entity
        end,
        [sound_types.sfx_track] = 
        function()
            local sound_entity = CreateSFXTrack(self.sounds[sound_name].path)
            sound_entity:setName(sound_name)
            sound_entity:attachTo(self:getMainEntity())
            return sound_entity
        end,
    }

    assert(self.sounds[sound_name])
    local sound_entity = self.sounds[sound_name].entity
    if not sound_entity then
        sound_entity = sound_creators[self.sounds[sound_name].type](sound_name)
        self.sounds[sound_name].entity = sound_entity
    end
    return sound_entity 
end


function RavenAirMg:random_sol()
    self.cur_sol = false
    local rand = 0
    while not self.cur_sol do
        rand = math.random(1,16)
        if self.win[rand] == 0 then
            self.cur_sol = rand
        end
    end
    for i = 1,3 do
        self:getEntityNamed('sol_sign_'..self.Conbination[self.cur_sol][i]):setOpacity(1)
    end
    self.Effector_rotate_anticlockwise['sol_sign_'..self.Conbination[self.cur_sol][1]]:play()
    self.Effector_rotate_clockwise['sol_sign_'..self.Conbination[self.cur_sol][3]]:play()
    self.Effector_rotate_anticlockwise['sol_sign_'..self.Conbination[self.cur_sol][2]]:play()
end

function RavenAirMg:onObjectMouseEnter(entity, state)
    if string.find(entity:getName(),'triangle') then
        self:stopSound('onfocus_sound')
        self:playSound('onfocus_sound')
        self:getEntityNamed("light_"..entity:getName()):setOpacity(1)
        local num_triangle = tonumber(string.sub(entity:getName(),10 ))
        for i = 1,3 do
           self:getEntityNamed('sign_'..self.Conbination[num_triangle][i]):setActive(true)
           self:getEntityNamed('light_'..self.Conbination[num_triangle][i]):setOpacity(1)
        end
        
    end
end

function RavenAirMg:onObjectMouseLeave(entity,state)
    if string.find(entity:getName(),'triangle') then
        self:getEntityNamed("light_"..entity:getName()):setOpacity(0)
        local num_triangle = tonumber(string.sub(entity:getName(),10 ))
        for i = 1,3 do
           self:getEntityNamed('sign_'..self.Conbination[num_triangle][i]):setActive(false)
           self:getEntityNamed('light_'..self.Conbination[num_triangle][i]):setOpacity(0)
        end
    end
end

function RavenAirMg:onObjectMouseDown(entity,state)
    if string.find(entity:getName(),'triangle') then
        local col_win = 0
        local num_triangle = tonumber(string.sub(entity:getName(),10 ))
        if num_triangle == self.cur_sol then
            if not HasGameState('91_fisha_air_no_First','true') then
                AddGameState('91_fisha_air_no_First', 'true')
            end
            self:getEntityNamed("light_"..entity:getName()):hide()
            self:getEntityNamed(entity:getName()):hide()
            self:getEntityNamed('lenta_'..self.cur_sol):setVisible(true)
            self:getEntityNamed('lenta_'..self.cur_sol):play()
            self:getEntityNamed('sparkle'):setXY(self:getEntityNamed('triangle_'..num_triangle):getX(),self:getEntityNamed('triangle_'..num_triangle):getY())
            self:getEntityNamed('sparkle'):rewind(false)
            self:getEntityNamed('sparkle'):setVisible(true)
            self:getEntityNamed('sparkle'):play()
            self.timer:add(function()
                                      self:getEntityNamed('lenta_'..num_triangle):ChangeOpacity(1,0,0.2)
                                      --self:getEntityNamed('sparkle'):ChangeOpacity(1,0,0.2)
                                      self:getEntityNamed('sparkle'):setVisible(false)
                                      self:getEntityNamed('sparkle'):stop()
                                      self.timer:add(function()
                                                               self:getEntityNamed('lenta_'..num_triangle):hide()
                                                               self:getEntityNamed('lenta_'..num_triangle):stop()
                                                               
                                      end,0.2)
            end,1)
            for i = 1,3 do
               self:getEntityNamed('sign_'..self.Conbination[num_triangle][i]):setActive(false)
            end
            self.win[self.cur_sol] = 1
            self:playSound('triangle_hide')
            Helpers.SaveObjectToGameState('RavenAirMg_array_win', self.win)
            for i = 1,3 do
                self:getEntityNamed('sol_sign_'..self.Conbination[self.cur_sol][i]):setOpacity(0)
            end
            for i = 1,16 do
                if self.win[i] == 1 then
                    col_win = col_win + 1
                end
            end
            if col_win == 16 then
                --
                self:entityHide('area_return')
                if HasGameState('RAVEN_FEATURE_PERCENTAGE_BATTERY_AIR') then
                    local percent = GetGameState('RAVEN_FEATURE_PERCENTAGE_BATTERY_AIR'):get(0) or '0' 
                    RemoveGameState('RAVEN_FEATURE_PERCENTAGE_BATTERY_AIR', percent)
                end
                --
                AddGameState('RAVEN_FEATURE_PERCENTAGE_BATTERY_AIR', '100')
                AddGameState('RAVEN_AIR_COMPLETED', 'RAVEN_AIR_COMPLETED')
                if HasGameState('RAVEN_FEATURE_COUNT_AIR') then
                    local count = GetGameState('RAVEN_FEATURE_COUNT_AIR'):get(0) or '0' 
                    RemoveGameState('RAVEN_FEATURE_COUNT_AIR', count)
                    count = string.upper(0)
                    AddGameState('RAVEN_FEATURE_COUNT_AIR', count)
                else
                    count = string.upper(0)
                    AddGameState('RAVEN_FEATURE_COUNT_AIR', count)
                end
                self:onScreenDestroy(false)
                return
            else
                self:random_sol()
            end
        else
            self:getEntityNamed("light_red_"..num_triangle):destroyEffectors()
            self:getEntityNamed("light_red_"..num_triangle):setOpacity(1)
            self:getEntityNamed("light_red_"..num_triangle):ChangeOpacity(1,0,0.3)
            self:stopSound('wrong_choise_sound')
            self:playSound('wrong_choise_sound')
        end
    end
end

function RavenAirMg:SkipMiniGame()
    --
    self:entityHide('area_return')
    if HasGameState('RAVEN_FEATURE_PERCENTAGE_BATTERY_AIR') then
        local percent = GetGameState('RAVEN_FEATURE_PERCENTAGE_BATTERY_AIR'):get(0) or '0' 
        RemoveGameState('RAVEN_FEATURE_PERCENTAGE_BATTERY_AIR', percent)
    end
    --
    AddGameState('RAVEN_AIR_COMPLETED', 'RAVEN_AIR_COMPLETED')
    AddGameState('RAVEN_FEATURE_PERCENTAGE_BATTERY_AIR', '100')
    if HasGameState('RAVEN_FEATURE_COUNT_AIR') then
        local count = GetGameState('RAVEN_FEATURE_COUNT_AIR'):get(0) or '0' 
        RemoveGameState('RAVEN_FEATURE_COUNT_AIR', count)
        count = string.upper(0)
        AddGameState('RAVEN_FEATURE_COUNT_AIR', count)
    else
        count = string.upper(0)
        AddGameState('RAVEN_FEATURE_COUNT_AIR', count)
    end
    for i = 1,16 do
        self:getEntityNamed("light_triangle_"..i):hide()
        self:getEntityNamed("triangle_"..i):hide()
    end
    for i = 1,12 do
	    self:getEntityNamed('sol_sign_'..i):setOpacity(0)
	end
	--self.timer:add(function()
	                       
                            self:onScreenDestroy(false)
    --end,0.7)
    
end

--------------------------------------------------------------------------------
--                      GENERATED CONTENT. DO NOT EDIT.                       --
--------------------------------------------------------------------------------

function RavenAirMg:CreateLoaderTable()
	local objects =
	{
		{ name = 'sol_sign_4',  entityType = 'SpriteEntity',  x = 933,  y = 364,  order = 0,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/91_fisha_air/krugok_bigl_4.png',  width = 130,  height = 130,  },
		{ name = 'area_return',  entityType = 'SpriteEntity',  x = 421,  y = 685,  order = 0,  scaleX = 8.5,  scaleY = 1.7,  color = {r = 1, g = 1, b = 1, a = 0.00392157},  editingLocked = false,  treeItemIsExpanded = true,  width = 100,  height = 100,  },
		{ name = 'Frame_Small',  entityType = 'SpriteEntity',  x = 890,  y = 126,  order = 0,  isRespondable = false,  editingLocked = false,  treeItemIsExpanded = true,  hotSpotX = 187.5, hotSpotY = 156.5,  texturePath = 'Data/Textures/Scenes/91_fisha_air/new/Frame_Small.png',  width = 375,  height = 313,  },
		{ name = 'movie',  entityType = 'VideoEntity',  x = 475,  y = 313,  order = 0,  editingLocked = false,  treeItemIsExpanded = true,  path = 'Data/Video/RavenMgScreens/RavenAirMg/movie.webm',  hasAlpha = true,  isLooped = true,  },
		{ name = 'sol_anim',  entityType = 'SpriteEntity',  x = 892,  y = 100,  order = 3,  blend = RenderedObject.EBlendModeColorAdd,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/Scenes/91_fisha_air/twirl_[].png',  width = 240,  height = 216,  mode = 4,  fps = 24,  framesCount = 24,  },
		{ name = 'sol_sign_12',  entityType = 'SpriteEntity',  x = 275,  y = 55,  order = 10,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/91_fisha_air/krugok_smol_4.png',  width = 42,  height = 42,  },
		{ name = 'sol_sign_11',  entityType = 'SpriteEntity',  x = 189,  y = 103,  order = 10,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/91_fisha_air/krugok_smol_3.png',  width = 42,  height = 42,  },
		{ name = 'sol_sign_10',  entityType = 'SpriteEntity',  x = 159,  y = 191,  order = 10,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/91_fisha_air/krugok_smol_2.png',  width = 42,  height = 42,  },
		{ name = 'sign_9',  entityType = 'SpriteEntity',  x = 137,  y = 393,  order = 10,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/91_fisha_air/krugok_smol_1.png',  width = 42,  height = 42,  },
		{ name = 'sol_sign_8',  entityType = 'SpriteEntity',  x = 334,  y = 627,  order = 10,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/91_fisha_air/krugok_moderatel_4.png',  width = 58,  height = 58,  },
		{ name = 'sol_sign_5',  entityType = 'SpriteEntity',  x = 678,  y = 628,  order = 10,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/91_fisha_air/krugok_moderatel_2.png',  width = 58,  height = 58,  },
		{ name = 'sol_sign_6',  entityType = 'SpriteEntity',  x = 578,  y = 634,  order = 10,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/91_fisha_air/krugok_moderatel_1.png',  width = 58,  height = 58,  },
		{ name = 'sol_sign_7',  entityType = 'SpriteEntity',  x = 465,  y = 640,  order = 10,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/91_fisha_air/krugok_moderatel_3.png',  width = 58,  height = 58,  },
		{ name = 'sol_sign_3',  entityType = 'SpriteEntity',  x = 871,  y = 276,  order = 10,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/91_fisha_air/krugok_big_1.png',  width = 130,  height = 130,  },
		{ name = 'sol_sign_2',  entityType = 'SpriteEntity',  x = 917,  y = 154,  order = 10,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/91_fisha_air/krugok_big_3.png',  width = 130,  height = 130,  },
		{ name = 'sol_sign_1',  entityType = 'SpriteEntity',  x = 738,  y = 80,  order = 10,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/91_fisha_air/krugok_bigl_2.png',  width = 130,  height = 130,  },
		{ name = 'triangle_9',  entityType = 'SpriteEntity',  x = 607,  y = 344,  order = 10,  editingLocked = false,  treeItemIsExpanded = true,  hotSpotX = 67, hotSpotY = 58,  texturePath = 'Data/Textures/Scenes/91_fisha_air/new/treugolnik_3uroven.png',  width = 134,  height = 116,  },
		{ name = 'triangle_8',  entityType = 'SpriteEntity',  x = 542,  y = 348,  order = 10,  editingLocked = false,  treeItemIsExpanded = true,  hotSpotX = 67, hotSpotY = 58,  texturePath = 'Data/Textures/Scenes/91_fisha_air/new/treugolnik_3_uroven.png',  width = 134,  height = 116,  },
		{ name = 'triangle_7',  entityType = 'SpriteEntity',  x = 479,  y = 345,  order = 10,  editingLocked = false,  treeItemIsExpanded = true,  hotSpotX = 67, hotSpotY = 58,  texturePath = 'Data/Textures/Scenes/91_fisha_air/new/treugolnik_3uroven.png',  width = 134,  height = 116,  },
		{ name = 'triangle_6',  entityType = 'SpriteEntity',  x = 414,  y = 347,  order = 10,  editingLocked = false,  treeItemIsExpanded = true,  hotSpotX = 67, hotSpotY = 58,  texturePath = 'Data/Textures/Scenes/91_fisha_air/new/treugolnik_2_uroven.png',  width = 134,  height = 116,  },
		{ name = 'triangle_5',  entityType = 'SpriteEntity',  x = 353,  y = 348,  order = 10,  editingLocked = false,  treeItemIsExpanded = true,  hotSpotX = 67, hotSpotY = 58,  texturePath = 'Data/Textures/Scenes/91_fisha_air/new/treugolnik_3uroven.png',  width = 134,  height = 116,  },
		{ name = 'triangle_1',  entityType = 'SpriteEntity',  x = 479,  y = 130,  order = 10,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/91_fisha_air/new/treugolnik_1uroven.png',  width = 134,  height = 116,  },
		{ name = 'sol_sign_9',  entityType = 'SpriteEntity',  x = 128,  y = 344,  order = 10,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/91_fisha_air/krugok_smol_1.png',  width = 42,  height = 42,  },
		{ name = 'sign_10',  entityType = 'SpriteEntity',  x = 202,  y = 283,  order = 10,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/91_fisha_air/krugok_smol_2.png',  width = 42,  height = 42,  },
		{ name = 'sign_11',  entityType = 'SpriteEntity',  x = 266,  y = 172,  order = 10,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/91_fisha_air/krugok_smol_3.png',  width = 42,  height = 42,  },
		{ name = 'sign_12',  entityType = 'SpriteEntity',  x = 340,  y = 72,  order = 10,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/91_fisha_air/krugok_smol_4.png',  width = 42,  height = 42,  },
		{ name = 'triangle_2',  entityType = 'SpriteEntity',  x = 416,  y = 237,  order = 11,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/91_fisha_air/new/treugolnik_2uroven.png',  width = 134,  height = 116,  },
		{ name = 'triangle_4',  entityType = 'SpriteEntity',  x = 542,  y = 236,  order = 11,  editingLocked = false,  treeItemIsExpanded = true,  hotSpotX = 67, hotSpotY = 58,  texturePath = 'Data/Textures/Scenes/91_fisha_air/new/treugolnik_3uroven.png',  width = 134,  height = 116,  },
		{ name = 'triangle_3',  entityType = 'SpriteEntity',  x = 479,  y = 237,  order = 11,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/91_fisha_air/new/treugolnik_2_uroven.png',  width = 134,  height = 116,  },
		{ name = 'triangle_10',  entityType = 'SpriteEntity',  x = 291,  y = 457,  order = 20,  editingLocked = false,  treeItemIsExpanded = true,  hotSpotX = 67, hotSpotY = 58,  texturePath = 'Data/Textures/Scenes/91_fisha_air/new/treugolnik_4uroven.png',  width = 134,  height = 116,  },
		{ name = 'triangle_11',  entityType = 'SpriteEntity',  x = 353,  y = 456,  order = 20,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/91_fisha_air/new/treugolnik_4_uroven.png',  width = 134,  height = 116,  },
		{ name = 'triangle_12',  entityType = 'SpriteEntity',  x = 417,  y = 455,  order = 20,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/91_fisha_air/new/treugolnik_4uroven.png',  width = 134,  height = 116,  },
		{ name = 'triangle_14',  entityType = 'SpriteEntity',  x = 546,  y = 455,  order = 20,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/91_fisha_air/new/treugolnik_4uroven.png',  width = 134,  height = 116,  },
		{ name = 'triangle_13',  entityType = 'SpriteEntity',  x = 481,  y = 455,  order = 20,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/91_fisha_air/new/treugolnik_4_uroven.png',  width = 134,  height = 116,  },
		{ name = 'triangle_16',  entityType = 'SpriteEntity',  x = 671,  y = 454,  order = 20,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/91_fisha_air/new/treugolnik_4uroven.png',  width = 134,  height = 116,  },
		{ name = 'triangle_15',  entityType = 'SpriteEntity',  x = 608,  y = 453,  order = 20,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/91_fisha_air/new/treugolnik_4_uroven.png',  width = 134,  height = 116,  },
		{ name = 'light_triangle_1',  entityType = 'SpriteEntity',  x = 934,  y = 84,  order = 30,  angle = 180,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/91_fisha_air/podsvetka_treugolnik.png',  width = 138,  height = 126,  },
		{ name = 'light_triangle_15',  entityType = 'SpriteEntity',  x = 884,  y = 659,  order = 30,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/91_fisha_air/podsvetka_treugolnik.png',  width = 138,  height = 126,  },
		{ name = 'light_triangle_13',  entityType = 'SpriteEntity',  x = 964,  y = 553,  order = 30,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/91_fisha_air/podsvetka_treugolnik.png',  width = 138,  height = 126,  },
		{ name = 'light_triangle_11',  entityType = 'SpriteEntity',  x = 927,  y = 425,  order = 30,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/91_fisha_air/podsvetka_treugolnik.png',  width = 138,  height = 126,  },
		{ name = 'light_triangle_8',  entityType = 'SpriteEntity',  x = 933,  y = 398,  order = 30,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/91_fisha_air/podsvetka_treugolnik.png',  width = 138,  height = 126,  },
		{ name = 'light_triangle_6',  entityType = 'SpriteEntity',  x = 920,  y = 544,  order = 30,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/91_fisha_air/podsvetka_treugolnik.png',  width = 138,  height = 126,  },
		{ name = 'light_triangle_3',  entityType = 'SpriteEntity',  x = 956,  y = 614,  order = 30,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/91_fisha_air/podsvetka_treugolnik.png',  width = 138,  height = 126,  },
		{ name = 'light_triangle_16',  entityType = 'SpriteEntity',  x = 940,  y = 434,  order = 30,  angle = 180,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/91_fisha_air/podsvetka_treugolnik.png',  width = 138,  height = 126,  },
		{ name = 'light_triangle_12',  entityType = 'SpriteEntity',  x = 974,  y = 271,  order = 30,  angle = 180,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/91_fisha_air/podsvetka_treugolnik.png',  width = 138,  height = 126,  },
		{ name = 'light_triangle_10',  entityType = 'SpriteEntity',  x = 926,  y = 312,  order = 30,  angle = 180,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/91_fisha_air/podsvetka_treugolnik.png',  width = 138,  height = 126,  },
		{ name = 'light_triangle_9',  entityType = 'SpriteEntity',  x = 819,  y = 188,  order = 30,  angle = 180,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/91_fisha_air/podsvetka_treugolnik.png',  width = 138,  height = 126,  },
		{ name = 'light_triangle_7',  entityType = 'SpriteEntity',  x = 480,  y = 348,  order = 30,  angle = 180,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/91_fisha_air/podsvetka_treugolnik.png',  width = 138,  height = 126,  },
		{ name = 'light_triangle_5',  entityType = 'SpriteEntity',  x = 931,  y = 180,  order = 30,  angle = 180,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/91_fisha_air/podsvetka_treugolnik.png',  width = 138,  height = 126,  },
		{ name = 'light_triangle_4',  entityType = 'SpriteEntity',  x = 947,  y = 81,  order = 30,  angle = 180,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/91_fisha_air/podsvetka_treugolnik.png',  width = 138,  height = 126,  },
		{ name = 'light_triangle_2',  entityType = 'SpriteEntity',  x = 932,  y = 78,  order = 30,  angle = 180,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/91_fisha_air/podsvetka_treugolnik.png',  width = 138,  height = 126,  },
		{ name = 'light_triangle_14',  entityType = 'SpriteEntity',  x = 892,  y = 90,  order = 30,  angle = 180,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/91_fisha_air/podsvetka_treugolnik.png',  width = 138,  height = 126,  },
		{ name = 'sign_1',  entityType = 'SpriteEntity',  x = 624,  y = 61,  order = 50,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/91_fisha_air/krugok_bigl_2.png',  width = 130,  height = 130,  },
		{ name = 'sign_2',  entityType = 'SpriteEntity',  x = 690,  y = 172,  order = 50,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/91_fisha_air/krugok_big_3.png',  width = 130,  height = 130,  },
		{ name = 'sign_3',  entityType = 'SpriteEntity',  x = 754,  y = 282,  order = 50,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/91_fisha_air/krugok_big_1.png',  width = 130,  height = 130,  },
		{ name = 'sign_4',  entityType = 'SpriteEntity',  x = 816,  y = 394,  order = 50,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/91_fisha_air/krugok_bigl_4.png',  width = 130,  height = 130,  },
		{ name = 'lenta_15',  entityType = 'SpriteEntity',  x = 607,  y = 504,  order = 100,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/91_fisha_air/Anim/Treugolnik6_[].png',  width = 149,  height = 216,  fps = 9,  framesCount = 9,  },
		{ name = 'lenta_13',  entityType = 'SpriteEntity',  x = 480,  y = 503,  order = 100,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/91_fisha_air/Anim/Treugolnik6_[].png',  width = 149,  height = 216,  fps = 9,  framesCount = 9,  },
		{ name = 'lenta_11',  entityType = 'SpriteEntity',  x = 351,  y = 505,  order = 100,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/91_fisha_air/Anim/Treugolnik6_[].png',  width = 149,  height = 216,  fps = 9,  framesCount = 9,  },
		{ name = 'lenta_8',  entityType = 'SpriteEntity',  x = 541,  y = 393,  order = 100,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/91_fisha_air/Anim/Treugolnik6_[].png',  width = 149,  height = 216,  fps = 9,  framesCount = 9,  },
		{ name = 'lenta_6',  entityType = 'SpriteEntity',  x = 412,  y = 395,  order = 100,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/91_fisha_air/Anim/Treugolnik6_[].png',  width = 149,  height = 216,  fps = 9,  framesCount = 9,  },
		{ name = 'lenta_3',  entityType = 'SpriteEntity',  x = 476,  y = 283,  order = 100,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/91_fisha_air/Anim/Treugolnik6_[].png',  width = 149,  height = 216,  fps = 9,  framesCount = 9,  },
		{ name = 'lenta_1',  entityType = 'SpriteEntity',  x = 475,  y = 196,  order = 100,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/91_fisha_air/Anim/treugolnik7_[].png',  width = 139,  height = 250,  fps = 9,  framesCount = 9,  },
		{ name = 'light_9',  entityType = 'SpriteEntity',  x = 56.4199,  y = 557.238,  order = 100,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/91_fisha_air/Circle_Small_1_Light.png',  width = 60,  height = 60,  },
		{ name = 'light_5',  entityType = 'SpriteEntity',  x = 64.039,  y = 321.048,  order = 100,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/91_fisha_air/Circle_Madium_1_Light.png',  width = 90,  height = 90,  },
		{ name = 'light_4',  entityType = 'SpriteEntity',  x = 815.991,  y = 385.19,  order = 100,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/91_fisha_air/Circle_Big_4_Light.png',  width = 160,  height = 160,  },
		{ name = 'light_1',  entityType = 'SpriteEntity',  x = 637.658,  y = 59.048,  order = 100,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/91_fisha_air/Circle_Big_2_Light.png',  width = 160,  height = 160,  },
		{ name = 'light_2',  entityType = 'SpriteEntity',  x = 721.896,  y = 167.762,  order = 100,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/91_fisha_air/Circle_Big_3_Light.png',  width = 160,  height = 160,  },
		{ name = 'light_3',  entityType = 'SpriteEntity',  x = 855.372,  y = 260,  order = 100,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/91_fisha_air/Circle_Big_1_Light.png',  width = 160,  height = 160,  },
		{ name = 'Ramka',  entityType = 'SpriteEntity',  x = 479,  y = 309,  order = 100,  isRespondable = false,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/91_fisha_air/new/Framel.png',  width = 842,  height = 716,  },
		{ name = 'light_6',  entityType = 'SpriteEntity',  x = 64.039,  y = 321.048,  order = 100,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/91_fisha_air/Circle_Madium_1_Light.png',  width = 90,  height = 90,  },
		{ name = 'light_7',  entityType = 'SpriteEntity',  x = 64.039,  y = 321.048,  order = 100,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/91_fisha_air/Circle_Madium_1_Light.png',  width = 90,  height = 90,  },
		{ name = 'light_8',  entityType = 'SpriteEntity',  x = 64.039,  y = 321.048,  order = 100,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/91_fisha_air/Circle_Madium_1_Light.png',  width = 90,  height = 90,  },
		{ name = 'light_10',  entityType = 'SpriteEntity',  x = 56.4199,  y = 557.238,  order = 100,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/91_fisha_air/Circle_Small_1_Light.png',  width = 60,  height = 60,  },
		{ name = 'light_11',  entityType = 'SpriteEntity',  x = 56.4199,  y = 557.238,  order = 100,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/91_fisha_air/Circle_Small_1_Light.png',  width = 60,  height = 60,  },
		{ name = 'light_12',  entityType = 'SpriteEntity',  x = 56.4199,  y = 557.238,  order = 100,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/91_fisha_air/Circle_Small_1_Light.png',  width = 60,  height = 60,  },
		{ name = 'lenta_2',  entityType = 'SpriteEntity',  x = 411,  y = 303,  order = 100,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/91_fisha_air/Anim/treugolnik7_[].png',  width = 139,  height = 250,  fps = 9,  framesCount = 9,  },
		{ name = 'lenta_7',  entityType = 'SpriteEntity',  x = 475,  y = 412,  order = 100,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/91_fisha_air/Anim/treugolnik7_[].png',  width = 139,  height = 250,  fps = 9,  framesCount = 9,  },
		{ name = 'lenta_5',  entityType = 'SpriteEntity',  x = 348,  y = 416,  order = 100,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/91_fisha_air/Anim/treugolnik7_[].png',  width = 139,  height = 250,  fps = 9,  framesCount = 9,  },
		{ name = 'lenta_4',  entityType = 'SpriteEntity',  x = 537,  y = 303,  order = 100,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/91_fisha_air/Anim/treugolnik7_[].png',  width = 139,  height = 250,  fps = 9,  framesCount = 9,  },
		{ name = 'lenta_16',  entityType = 'SpriteEntity',  x = 667,  y = 521,  order = 100,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/91_fisha_air/Anim/treugolnik7_[].png',  width = 139,  height = 250,  fps = 9,  framesCount = 9,  },
		{ name = 'lenta_14',  entityType = 'SpriteEntity',  x = 541,  y = 522,  order = 100,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/91_fisha_air/Anim/treugolnik7_[].png',  width = 139,  height = 250,  fps = 9,  framesCount = 9,  },
		{ name = 'lenta_12',  entityType = 'SpriteEntity',  x = 413,  y = 522,  order = 100,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/91_fisha_air/Anim/treugolnik7_[].png',  width = 139,  height = 250,  fps = 9,  framesCount = 9,  },
		{ name = 'lenta_10',  entityType = 'SpriteEntity',  x = 286,  y = 523,  order = 100,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/91_fisha_air/Anim/treugolnik7_[].png',  width = 139,  height = 250,  fps = 9,  framesCount = 9,  },
		{ name = 'lenta_9',  entityType = 'SpriteEntity',  x = 603,  y = 412,  order = 100,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/91_fisha_air/Anim/treugolnik7_[].png',  width = 139,  height = 250,  fps = 9,  framesCount = 9,  },
		{ name = 'sign_5',  entityType = 'SpriteEntity',  x = 672,  y = 548,  order = 110,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/91_fisha_air/krugok_moderatel_2.png',  width = 58,  height = 58,  },
		{ name = 'sign_6',  entityType = 'SpriteEntity',  x = 544,  y = 548,  order = 110,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/91_fisha_air/krugok_moderatel_1.png',  width = 58,  height = 58,  },
		{ name = 'sign_7',  entityType = 'SpriteEntity',  x = 415,  y = 547,  order = 110,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/91_fisha_air/krugok_moderatel_3.png',  width = 58,  height = 58,  },
		{ name = 'sign_8',  entityType = 'SpriteEntity',  x = 288,  y = 547,  order = 110,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/91_fisha_air/krugok_moderatel_4.png',  width = 58,  height = 58,  },
		{ name = 'text',  entityType = 'TextEntity',  x = 478,  y = 589,  order = 200,  editingLocked = false,  treeItemIsExpanded = true,  localizationKey = 'BBT_AIR_POWER',  font = 'Data/Fonts/cyrillic.fnt',  height = 23,  },
		{ name = 'light_red_1',  entityType = 'SpriteEntity',  x = 195.134,  y = 635.857,  order = 200,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/91_fisha_air/treugolnik_Red_Light.png',  width = 118,  height = 102,  },
		{ name = 'light_red_2',  entityType = 'SpriteEntity',  x = 195.134,  y = 635.857,  order = 200,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/91_fisha_air/treugolnik_Red_Light.png',  width = 118,  height = 102,  },
		{ name = 'light_red_3',  entityType = 'SpriteEntity',  x = 195.134,  y = 635.857,  order = 200,  angle = 180,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/91_fisha_air/treugolnik_Red_Light.png',  width = 118,  height = 102,  },
		{ name = 'light_red_4',  entityType = 'SpriteEntity',  x = 195.134,  y = 635.857,  order = 200,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/91_fisha_air/treugolnik_Red_Light.png',  width = 118,  height = 102,  },
		{ name = 'light_red_5',  entityType = 'SpriteEntity',  x = 195.134,  y = 635.857,  order = 200,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/91_fisha_air/treugolnik_Red_Light.png',  width = 118,  height = 102,  },
		{ name = 'light_red_6',  entityType = 'SpriteEntity',  x = 195.134,  y = 635.857,  order = 200,  angle = 180,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/91_fisha_air/treugolnik_Red_Light.png',  width = 118,  height = 102,  },
		{ name = 'light_red_7',  entityType = 'SpriteEntity',  x = 195.134,  y = 635.857,  order = 200,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/91_fisha_air/treugolnik_Red_Light.png',  width = 118,  height = 102,  },
		{ name = 'light_red_8',  entityType = 'SpriteEntity',  x = 195.134,  y = 635.857,  order = 200,  angle = 180,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/91_fisha_air/treugolnik_Red_Light.png',  width = 118,  height = 102,  },
		{ name = 'light_red_9',  entityType = 'SpriteEntity',  x = 195.134,  y = 635.857,  order = 200,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/91_fisha_air/treugolnik_Red_Light.png',  width = 118,  height = 102,  },
		{ name = 'light_red_10',  entityType = 'SpriteEntity',  x = 195.134,  y = 635.857,  order = 200,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/91_fisha_air/treugolnik_Red_Light.png',  width = 118,  height = 102,  },
		{ name = 'light_red_11',  entityType = 'SpriteEntity',  x = 195.134,  y = 635.857,  order = 200,  angle = 180,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/91_fisha_air/treugolnik_Red_Light.png',  width = 118,  height = 102,  },
		{ name = 'light_red_12',  entityType = 'SpriteEntity',  x = 195.134,  y = 635.857,  order = 200,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/91_fisha_air/treugolnik_Red_Light.png',  width = 118,  height = 102,  },
		{ name = 'light_red_13',  entityType = 'SpriteEntity',  x = 195.134,  y = 635.857,  order = 200,  angle = 180,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/91_fisha_air/treugolnik_Red_Light.png',  width = 118,  height = 102,  },
		{ name = 'light_red_14',  entityType = 'SpriteEntity',  x = 195.134,  y = 635.857,  order = 200,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/91_fisha_air/treugolnik_Red_Light.png',  width = 118,  height = 102,  },
		{ name = 'light_red_15',  entityType = 'SpriteEntity',  x = 195.134,  y = 635.857,  order = 200,  angle = 180,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/91_fisha_air/treugolnik_Red_Light.png',  width = 118,  height = 102,  },
		{ name = 'light_red_16',  entityType = 'SpriteEntity',  x = 195.134,  y = 635.857,  order = 200,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/91_fisha_air/treugolnik_Red_Light.png',  width = 118,  height = 102,  },
		{ name = 'sparkle',  entityType = 'SpriteEntity',  x = 147,  y = 191,  order = 500,  blend = RenderedObject.EBlendModeColorAdd,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/91_fisha_air/Anim/sparks_[].jpg',  width = 242,  height = 354,  fps = 35,  framesCount = 29,  },
	}
	return objects
end
